Summary:	Personal Finance Management Tool
Name:		skrooge
Version:	2.10.5
Release:	1
License:	GPLv3+
Group:		Office
Url:		http://skrooge.org
Source0:	http://fr2.rpmfind.net/linux/KDE/stable/skrooge/%{name}-%{version}.tar.xz
Source1:	skrooge_ru.tar.gz
BuildRequires:	extra-cmake-modules
BuildRequires:	grantlee-qt5-devel
BuildRequires:	kf5activities-devel
BuildRequires:	kf5archive-devel
BuildRequires:	kf5completion-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5designerplugin-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5guiaddons-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5itemviews-devel
BuildRequires:	kf5jobwidgets-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5newstuff-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5notifyconfig-devel
BuildRequires:	kf5parts-devel
BuildRequires:	kf5runner-devel
BuildRequires:	kf5wallet-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	pkgconfig(libofx)
BuildRequires:	pkgconfig(qca2-qt5)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Designer)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5QuickWidgets)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(shared-mime-info)
BuildRequires:	pkgconfig(sqlcipher)
BuildRequires:	pkgconfig(sqlite3)
Requires:	qca2-qt5-plugin-openssl
Requires:	qt5-database-plugin-sqlite
Obsoletes:	%{name}-devel < 2.7.0

%description
Skrooge is a personal finance management tool for KDE, with the aim of
being highly intuitive, while providing powerful functions such as
graphics, persistent Undo/Redo, infinite category levels, and much more...

%files -f %{name}.lang
%{_kde5_applicationsdir}/*.desktop
%{_kde5_bindir}/*
%{_kde5_datadir}/config.kcfg/*.kcfg
%{_kde5_datadir}/skrooge/
%{_kde5_iconsdir}/*/*/*/*
%{_kde5_notificationsdir}/skrooge.notifyrc
%{_kde5_services}/*.desktop
%{_kde5_servicetypes}/*.desktop
%{_kde5_sysconfdir}/xdg/*.knsrc
%{_kde5_xmlguidir}/*/*.rc
%{_appdatadir}/org.kde.skrooge.appdata.xml
%{_datadir}/mime/packages/*.xml
%{_qt5_plugindir}/*.so
%{_qt5_plugindir}/designer/*.so
%{_qt5_plugindir}/grantlee/*/grantlee_skgfilters.so
%{_qt5_plugindir}/sqldrivers/libskgsqlcipher.so

#-----------------------------------------------------------------------------

%define libskgbankgui_major 2
%define libskgbankgui %mklibname skgbankgui %{libskgbankgui_major}

%package -n %{libskgbankgui}
Summary:	%{name} library
Group:		System/Libraries

%description -n %{libskgbankgui}
%{name} library.

%files -n %{libskgbankgui}
%{_kde5_libdir}/libskgbankgui.so.%{libskgbankgui_major}*

#-----------------------------------------------------------------------------

%define libskgbankmodeler_major 2
%define libskgbankmodeler %mklibname skgbankmodeler %{libskgbankmodeler_major}

%package -n %{libskgbankmodeler}
Summary:	%{name} library
Group:		System/Libraries

%description -n %{libskgbankmodeler}
%{name} library.

%files -n %{libskgbankmodeler}
%{_kde5_libdir}/libskgbankmodeler.so.%{libskgbankmodeler_major}*

#-----------------------------------------------------------------------------

%define libskgbasegui_major 2
%define libskgbasegui %mklibname skgbasegui %{libskgbasegui_major}

%package -n %{libskgbasegui}
Summary:	%{name} library
Group:		System/Libraries

%description -n %{libskgbasegui}
%{name} library.

%files -n %{libskgbasegui}
%{_kde5_libdir}/libskgbasegui.so.%{libskgbasegui_major}*

#-----------------------------------------------------------------------------

%define libskgbasemodeler_major 2
%define libskgbasemodeler %mklibname skgbasemodeler %{libskgbasemodeler_major}

%package -n %{libskgbasemodeler}
Summary:	%{name} library
Group:		System/Libraries

%description -n %{libskgbasemodeler}
%{name} library.

%files -n %{libskgbasemodeler}
%{_kde5_libdir}/libskgbasemodeler.so.%{libskgbasegui_major}*

#--------------------------------------------------------------------

%prep
%setup -q

pushd po/ru
tar -xvzf %{SOURCE1}
popd

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --with-html --with-kde

%changelog

* Fri Dec 29 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.10.5-1
- (0598b07) New version 2.10.5


